js_stat.d(1m)

NAME
js_stat.d - JavaScript operation stats using DTrace.

SYNOPSIS
js_stat.d [interval [count]]

DESCRIPTION
This traces activity from all browsers on the system that are running with JavaScript provider support. The numbers are counts for the interval specified. The default interval is 1 second. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace JavaScript provider, which may change as additional features are introduced. Check JavaScript/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # js_stat.d

FIELDS

EXEC/s
    JavaScript programs executed per second

FUNCS/s
    Functions called, per second

OBJNEW/s
    Objects created, per second

OBJFRE/s
    Objects freed (finalize), per second

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
js_stat.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)